Category Archives: Open API

No Thumbnail

Tekla Open API: Get/Set User Defined Attributes

This article explains how you can get/set user defined attributes using the tekla open api.   Step 1, Add Libraries: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered in the article

No Thumbnail

Tekla Open API: Views

This article explains how you can create/modify/delete views in the model using the Tekla Open API in VB.Net. For more information about View Filters please see the article below: Tekla Open API: Change View Filters Step 1: Add reference to the Tekla.Structures.Model and the Tekla.Structures library located

No Thumbnail

Tekla Open API: Move Part

This article explains how you can move existing parts in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This

No Thumbnail

VB.Net Get Reference to Object, Tekla Open API

This article explains how you can reference to existing objects in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This

No Thumbnail

VB.Net Delete Parts, Tekla Open API

This article explains how you can delete parts in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered

No Thumbnail

Insert Concrete Beam Using VB.Net (Tekla Open API)

This article explains how to insert a concrete beam in a tekla model using the Tekla Open API in VB.Net. Previously in the article Insert Concrete Column Using VB.Net (Tekla Open Api) I’ve explained how to add columns to a tekla model. Adding beams is exactly the

No Thumbnail

Tekle Open API: Get All Parts With Specific Class

This article explains how you can get reference to all existing objects in a Tekla Structure model with a specific class using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually

No Thumbnail

Tekla Open API: Grids

This article explains how you can create/modify/delete grids in the model using the Tekla Open API in VB.Net. Step 1: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered in the article

No Thumbnail

Tekla Open API: Get Part Bounds

This article explains how you can get the min max bounds of a part object in a tekla model. Note part bounds will not be very useful when the part is not aligned in one of the 3 main directions. Step 1: Add reference to